<?php

App::uses('EvTeamAppModel', 'EvTeam.Model');

/**
 * Business rules for Pages
 */
class Department extends EvTeamAppModel {

	public $displayField = 'title';

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'team-departments/:displayField',
			'actual' => ':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta'
	);

	public $validate = array(
		'title' => array(
			'required' => array(
				'rule' => 'notBlank',
				'message' => 'cannot be blank'
			)
		),
	);

	public $hasAndBelongsToMany = array(
		'TeamMember' => array(
			'className' => 'EvTeam.TeamMember',
			'joinTable' => 'ev_team_departments_team_members'
		)
	);
}